=== debian/changelog ===
sunpinyin (3.0.0~rc1+ds1-2) unstable; urgency=medium

  * Team upload.
  * Rebuild for Debian Buster.
  * Backport upstream fixes till git version 20181120.
  * debian/patches:
    + Backport upstream fix for m68k architecture. (Closes: #905238)
    + Various minor fixes.
  * debian/control:
    + Bump Standards-Version to 4.2.1 (no changes needed).

 -- Boyuan Yang <byang@debian.org>  Wed, 21 Nov 2018 09:30:42 -0500

sunpinyin (3.0.0~rc1+ds1-1) unstable; urgency=medium

  * Team upload.
  * New upstream snapshot 20180629.
    + Added support for riscv64 architecture. (Closes: #898019)
    + Made the build reproducible. (Closes: #860201)
    + Various fixes.
  * debian: Apply "wrap-and-sort -abst".
  * debian/control:
    + Update Maintainer field with debian-input-method mailing list address.
      (Closes: #899693)
    + Bump debhelper compat to v11.
    + Bump Standards-Version to 4.1.4.
    + Update homepage information. (Closes: #860202)
    + Drop unnecessary build dependency quilt.
    + Drop old -dbg package in favor of automatic -dbgsym package.
    + Migrate git packaging repo onto Salsa platform.
    + Update Uploaders list and use @debian.org mail address.
  * debian/copyright:
    + Explicitly write wrapper files in Files-Excluded field.
    + Refresh information.
  * debian/changelog:
    + Remove trailing spaces.
  * debian/patches/backport: Backport all latter commits from trunk.
  * debian/rules:
    + Use "dh_missing --fail-missing".
    + Add full hardening.
    + Update dh_strip for automatic debug package migration.
  * debian/watch: Refine and reintroduce watch file.

 -- Boyuan Yang <073plan@gmail.com>  Sat, 30 Jun 2018 08:27:47 +0800
