## sunpinyin 3.0.0~rc2+ds1

=== SConstruct ===
--- 
+++ 
@@ -1,7 +1,11 @@
+# -*- mode:python -*-
+
 import platform
 import os
+import shutil
 import sys
 
+import SCons.Errors
 
 version = "2.0.4"
 abi_major = 3
@@ -179,13 +183,22 @@
 AddOption('--disable-plugins', dest='enable_plugins', action='store_false',
           default=False, help='disable plugin mechanism at libsunpinyin layer')
 
+
+def PathIsExecutable(key, path, env):
+    if shutil.which(path) is None:
+        m = "path '{path}' for option '{key}' is not found or not in $PATH"
+        raise SCons.Errors.UserError(m.format(key=key, path=path))
+
 # save the options
 opts = Variables('configure.conf')
 opts.Add('PREFIX', default='/usr/local')
 opts.Add('LIBDIR', default='/usr/local/lib')
 opts.Add('DATADIR', default='/usr/local/share')
 opts.Add('ENABLE_PLUGINS', default=False)
-
+opts.Add(PathVariable('PYTHON',
+                      'python3 interpreter used to generate header files',
+                      '/usr/bin/python3',
+                      PathIsExecutable))
 
 #
 # ==============================environment==============================
@@ -215,7 +228,7 @@
         make = 'gmake'
         tar = 'gtar'
     libln_builder = Builder(action='cd ${TARGET.dir} && ln -s ${SOURCE.name} ${TARGET.name}')
-    env = Environment(ENV=os.environ, CFLAGS=cflags, CXXFLAGS='',
+    env = Environment(ENV=os.environ, CFLAGS=cflags, CXXFLAGS='-std=c++11',
                       MAKE=make, WGET=wget, W3M=w3m, TAR=tar,
                       CPPPATH=['.'] + allinc(),
                       tools=['default', 'textfile'])
@@ -227,7 +240,7 @@
 def PassVariables(envvar, env):
     for (x, y) in envvar:
         if x in os.environ:
-            print 'Warning: you\'ve set %s in the environmental variable!' % x
+            print('Warning: you\'ve set %s in the environmental variable!' % x)
             env[y] = os.environ[x]
 
 env = CreateEnvironment()
@@ -259,6 +272,7 @@
 # pass through environmental variables
 envvar = [('CC', 'CC'),
           ('CXX', 'CXX'),
+          ('CPPFLAGS', 'CPPFLAGS'),
           ('CFLAGS', 'CFLAGS'),
           ('CXXFLAGS', 'CXXFLAGS'),
           ('LDFLAGS', 'LINKFLAGS'),
@@ -299,11 +313,11 @@
 
 def CheckPython(context):
     context.Message('Checking for Python library...')
-    ret = context.TryAction('python-config --prefix')[0]
+    ret = context.TryAction('python3-config --prefix')[0]
     context.Result(ret)
     if ret:
-        context.env.MergeFlags(['!python-config --includes',
-                                '!python-config --libs'])
+        context.env.MergeFlags(['!python3-config --includes',
+                                '!python3-config --libs'])
     return ret
 
 
@@ -321,7 +335,8 @@
   || defined(__ppc__)  || defined(__hpux) || defined(__hppa) \
   || defined(_MIPSEB)  || defined(_POWER) \
   || defined(__s390__) || (defined(__sh__) && defined(__BIG_ENDIAN__)) \
-  || defined(__AARCH64EB__)
+  || defined(__AARCH64EB__) \
+  || defined(__m68k__)
 # define WORDS_BIGENDIAN 1
 
 #elif defined(__i386__) || defined(__i386) \
@@ -333,6 +348,7 @@
   || defined(_M_X64)    || defined(__bfin__) \
   || defined(__alpha__) || defined(__ARMEL__) \
   || defined(_MIPSEL)   || (defined(__sh__) && defined(__LITTLE_ENDIAN__)) \
+  || defined(__riscv) \
   || defined(__AARCH64EL__)
 # undef WORDS_BIGENDIAN
 
@@ -391,21 +407,3 @@
     conf.CheckCHeader('sys/param.h')
     conf.CheckCHeader('sys/stat.h')
     conf.CheckCHeader('sys/types.h')
-    conf.CheckCHeader('unistd.h')
-    conf.CheckCHeader('wchar.h')
-
-    # add essential package requirements
-    conf.Define('PACKAGE', '"sunpinyin"')
-    conf.Define('PACKAGE_NAME', '"sunpinyin"')
-    conf.Define('PACKAGE_STRING', '"sunpinyin 2.0"')
-    conf.Define('PACKAGE_TARNAME', '"sunpinyin"')
-    conf.Define('PACKAGE_VERSION', '"2.0"')
-    conf.Define('VRESION', '"2.0"')
-
-    # append endianness checking defines
-    AppendEndianCheck(conf)
-    env = conf.Finish()
-
-    if GetOS() != 'Darwin':
-        env.ParseConfig('pkg-config sqlite3 --libs --cflags')
-
