=== debian/changelog ===
sunpinyin (3.0.0~rc2+ds1-5) unstable; urgency=medium

  * Team upload.
  * debian/patches/140.patch: Add upstream patch to fix build with
    loongarch architecture. (Closes: #1043264)
  * debian/control: Bump Standards-Version to 4.6.2.

 -- Boyuan Yang <byang@debian.org>  Tue, 08 Aug 2023 13:26:13 -0400

sunpinyin (3.0.0~rc2+ds1-4) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Remove Liang Guo from the uploaders list. (Closes: #961611)
    Thanks for all your work! 
  * debian/patches: Drop all backported patches.
  * Refresh packaging:
    + Bump Standards-Version to 4.6.0.
    + Bump debhelper compat to v13.

 -- Boyuan Yang <byang@debian.org>  Fri, 01 Oct 2021 22:53:17 -0400

sunpinyin (3.0.0~rc1+ds1-3) unstable; urgency=medium

  * Team upload.
  * Upload to unstable
  * Remove old debug symbol migration from (<< 3.0.0~rc1+ds1-1~)
    - 3.0.0~rc1+ds1-2 is already in the Debian 10 stable.
  * debian/patches/use-cppflags-envvar.patch: Use the CPPFLAGS environment
    variable for build. It fixes the hardening build.
  * debian/salsa-ci.yml: Add salsa CI config

 -- Changwoo Ryu <cwryu@debian.org>  Wed, 11 Dec 2019 13:35:01 +0900

sunpinyin (3.0.0~rc1+ds1-3~exp2) experimental; urgency=high

  * Team upload.
  * debian/control:
    + Add missing build-dependency dh-python.
    + Use "Rules-Requires-Root: no".
    + Denote python3-dev build-dependency as python3-dev:any.
    + Bump debhelper compat to v12.
    + Bump Standards-Version to 4.4.1.
  * debian/rules:
    - Drop override for dh_install, no longer necessary.
    + Try to export buildflags using buildflags.mk.

 -- Boyuan Yang <byang@debian.org>  Fri, 06 Dec 2019 11:32:35 -0500

sunpinyin (3.0.0~rc1+ds1-3~exp1) experimental; urgency=medium

  * Team upload.
  * Use python 3 instead of python 2 (Closes: #938600)
    - debian/{control,rules}: Use python3, drop python-sunpinyin, build
      python3-sunpinyin
    - debian/patches/python3.patch: Fix python 3 syntax

 -- Changwoo Ryu <cwryu@debian.org>  Tue, 03 Dec 2019 18:42:41 +0900
