=== debian/control ===
--- 
+++ 
@@ -1,17 +1,18 @@
 Source: sunpinyin
 Priority: optional
+Section: libs
 Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
 Uploaders:
- Liang Guo <guoliang@debian.org>,
  YunQiang Su <syq@debian.org>,
 Build-Depends:
- debhelper (>= 11~),
+ debhelper-compat (= 13),
+ dh-sequence-python3,
  libsqlite3-dev,
  pkg-config,
- python-dev (>= 2.6.6-3~),
+ python3-dev:any,
  scons,
-Standards-Version: 4.2.1
-Section: libs
+Standards-Version: 4.6.2
+Rules-Requires-Root: no
 Homepage: https://github.com/sunpinyin/sunpinyin
 Vcs-Git: https://salsa.debian.org/debian/sunpinyin.git
 Vcs-Browser: https://salsa.debian.org/debian/sunpinyin
@@ -51,12 +52,12 @@
  .
  This package contains the runtime library.
 
-Package: python-sunpinyin
+Package: python3-sunpinyin
 Architecture: all
 Depends:
  libsunpinyin3v5,
  ${misc:Depends},
- ${python:Depends},
+ ${python3:Depends},
 Section: python
 Description: Simplified Chinese Input Method from SUN (Python binding)
  Sunpinyin is a statistical language model (SLM) based input method
@@ -68,7 +69,6 @@
 Section: utils
 Architecture: any
 Depends:
- python,
  ${misc:Depends},
  ${shlibs:Depends},
 Description: Simplified Chinese Input Method from SUN (utilities)
