## sunpinyin 3.0.0~rc2.1

=== debian/changelog ===
sunpinyin (3.0.0~rc2.1-deepin1) unstable; urgency=medium

  * Avoid downgrade.

 -- Tianyu Chen <sweetyfish@deepin.org>  Wed, 04 Sep 2024 11:15:39 +0800
