=== debian/watch ===
version=4
opts="dversionmangle=s%\+ds\d%%,uversionmangle=s%-rc%~rc%,filenamemangle=s%(?:.*?)?v?(\d[\d.]*(?:(?:-|~)rc\d)?)\.tar\.gz%sunpinyin-$1.tar.gz%" \
 https://github.com/sunpinyin/sunpinyin/tags \
 (?:.*?/)?v?(\d[\d.]*(?:-rc\d)?)\.tar\.gz debian uupdate
